Index: trunk/data/mapbender/http/nav/alkisnav_adr.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_adr.htm	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav_adr.htm	(revision 95)
@@ -12,5 +12,5 @@
 		// Parameter fuer Mandant aus url lesen
 		// &gkz=150&gemeinde=40&test=ja
-		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"
 		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
 		var gkz = "000";
Index: trunk/data/mapbender/http/nav/alkisnav_grd.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_grd.htm	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav_grd.htm	(revision 95)
@@ -12,5 +12,5 @@
 		// Parameter fuer Mandant aus url lesen
 		// &gkz=150&gemeinde=40&test=ja
-		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"
 		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
 		var gkz = "000";
Index: trunk/data/mapbender/http/nav/alkisnav.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav.htm	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav.htm	(revision 95)
@@ -19,5 +19,5 @@
 		// Parameter fuer Mandant aus url lesen
 		// &gkz=150&gemeinde=40&test=ja
-		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var parms = location.search.split("&");   // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"
 		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
 		var gkz = "000";
@@ -32,5 +32,5 @@
 
 <script type="text/javascript" language="JavaScript">
-	document.writeln("<!-- gkz=" + gkz + " gemeinde=" + gem + "-->");	
+	document.writeln("<!-- gkz=" + gkz + " gemeinde=" + gem + "-->");
 	// Rahmen mit Form und ResultFrame
 	document.writeln("<iframe frameborder='0' name='OuterFrame' src='alkisnav_eig.htm?gkz=" + gkz + "&gemeinde=" + gem + "' class='OuterFrame' scrolling='auto'></iframe>");
Index: trunk/data/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 95)
@@ -4,4 +4,5 @@
 	25.03.2011 Filter als Gemeinde-Liste
 	12.04.2011 epsg in Link, transform nur wenn notwendig
+	12.05.2011 Syntaxfehler in SQL
 */
 import_request_variables("PG");
@@ -358,5 +359,5 @@
 	else {  
 		$sql.="x(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS x, ";
-		$sql.="y(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS y ";			
+		$sql.="y(st_transform(st_Centroid(f.wkb_geometry), ".$epsg.")) AS y, ";			
 	}
 
Index: trunk/data/mapbender/http/nav/alkisnav_fls.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_fls.htm	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav_fls.htm	(revision 95)
@@ -12,5 +12,5 @@
 		// Parameter fuer Mandant aus url lesen
 		// &gkz=150&gemeinde=40&test=ja
-		var parms = location.search.split("&"); // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var parms = location.search.split("&"); // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"
 		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
 		var gkz = "000";
Index: trunk/data/mapbender/http/nav/alkisnav_eig.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_eig.htm	(revision 94)
+++ trunk/data/mapbender/http/nav/alkisnav_eig.htm	(revision 95)
@@ -12,5 +12,5 @@
 		// Parameter fuer Mandant aus url lesen
 		// &gkz=150&gemeinde=40&test=ja
-		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"
 		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
 		var gkz = "000";
@@ -19,5 +19,5 @@
 		var gem = "0";
 		if(arr[0] == "gemeinde") {gem = arr[1];}
-		// aktueller EPSG-Code
+		// aktueller EPSG-Code (Version 2.7)
 		function sendGuiEpsg () {
 			var ind = parent.parent.getMapObjIndexByName("mapframe1");