Index: trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql	(revision 94)
+++ trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql	(revision 96)
@@ -47,5 +47,9 @@
 
 --  2011-02-07 "gml_id" in fast allen Tabellen als UNIQUE INDEX
--- --AE 2011-05-11 lage einheitlich in character varying(5), geÃ€ndert siehe https://trac.wheregroup.com/PostNAS/ticket/9  http://trac.osgeo.org/gdal/changeset/22336
+
+--  2011-05-05 Daten mit historischen Flurstuecken geladen:
+--             Neue Tabelle: 'ax_historischesflurstueckohneraumbezug',
+--             Tabelle 'ax_historischesflurstueck': Felder vergroessert
+--             Nicht benutzte Tabellen auskommentiert (aus einem 'alles ausgeben'-NBA)
 
 -- Zur Datenstruktur siehe Dokument: 
@@ -56,5 +60,5 @@
 -- *****
 
---   - Abgleich mit GeoInfoDok 6.0
+--   - Abgleich mit GeoInfoDok 6.0-Dokumentation
 --   - nicht benÃ¶tigte (immer leere) Felder rausnehmen
 --   - Indizierung optimieren?
@@ -109,222 +113,221 @@
 -- ----------------------------------------------
 -- Nicht benoetigt?
--- Durch unnoetig umfangreich konfiguruierten NBA generiert?
+-- Durch unnoetig umfangreich konfigurierten NBA generiert?
 
 -- aa_aktivitaet
 -- ----------------------------------------------
-CREATE TABLE aa_aktivitaet (
-	ogc_fid serial NOT NULL,
-	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	status character varying,
-	art character(16),
-	CONSTRAINT aa_aktivitaet_pk PRIMARY KEY (ogc_fid)
-);
--- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'aa_aktivitaet', 'dummy', 2, 25832, 'POINT');
+--	CREATE TABLE aa_aktivitaet (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		status character varying,
+--		art character(16),
+--		CONSTRAINT aa_aktivitaet_pk PRIMARY KEY (ogc_fid)
+--	);
+--	-- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
+--	INSERT INTO geometry_columns 
+--	       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+--	VALUES ('', 'public', 'aa_aktivitaet', 'dummy', 2, 25832, 'POINT');
 
 
 -- aa_antrag
 -- ----------------------------------------------
-CREATE TABLE aa_antrag (
-	ogc_fid serial NOT NULL,
-	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	art character(42),
-	"name" character(15),
-	kennzeichen character(15),
-	antragunterbrochen character(5),
-	verweistauf character varying,
-	bearbeitungsstatus character varying,
-	gebiet character varying,
-	art_ character(16),
-	CONSTRAINT aa_antrag_pk PRIMARY KEY (ogc_fid)
-);
--- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'aa_antrag', 'dummy', 2, 25832, 'POINT');
+--	CREATE TABLE aa_antrag (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		art character(42),
+--		"name" character(15),
+--		kennzeichen character(15),
+--		antragunterbrochen character(5),
+--		verweistauf character varying,
+--		bearbeitungsstatus character varying,
+--		gebiet character varying,
+--		art_ character(16),
+--		CONSTRAINT aa_antrag_pk PRIMARY KEY (ogc_fid)
+--	);
+--	-- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
+--	INSERT INTO geometry_columns 
+--	       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+--	VALUES ('', 'public', 'aa_antrag', 'dummy', 2, 25832, 'POINT');
 
 
 -- aa_antragsgebiet
 -- ----------------------------------------------
-CREATE TABLE aa_antragsgebiet (
-	ogc_fid serial NOT NULL,
-	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	anlass integer,
-	CONSTRAINT aa_antragsgebiet_pk PRIMARY KEY (ogc_fid)
-);
-SELECT AddGeometryColumn('aa_antragsgebiet','wkb_geometry','25832','POLYGON',2);
-CREATE INDEX aa_antragsgebiet_geom_idx ON aa_antragsgebiet USING gist (wkb_geometry);
+--	CREATE TABLE aa_antragsgebiet (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		anlass integer,
+--		CONSTRAINT aa_antragsgebiet_pk PRIMARY KEY (ogc_fid)
+--	);
+--	SELECT AddGeometryColumn('aa_antragsgebiet','wkb_geometry','25832','POLYGON',2);
+--	CREATE INDEX aa_antragsgebiet_geom_idx ON aa_antragsgebiet USING gist (wkb_geometry);
 
 
 -- aa_meilenstein
 -- ----------------------------------------------
-CREATE TABLE aa_meilenstein (
-	ogc_fid serial NOT NULL,
- 	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	begonnen character(5),
-	abgeschlossen character(5),
-	erfolgreich character(5),
-	vonantrag character varying,
-	vonvorgang character varying,
-	vonaktivitaet character varying,
-	CONSTRAINT aa_meilenstein_pk PRIMARY KEY (ogc_fid)
-);
--- keine Geometrie
--- daher ersatzweise: Dummy-Eintrag in Metatabelle
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'aa_meilenstein', 'dummy', 2, 25832, 'POINT');
+--	CREATE TABLE aa_meilenstein (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		begonnen character(5),
+--		abgeschlossen character(5),
+--		erfolgreich character(5),
+--		vonantrag character varying,
+--		vonvorgang character varying,
+--		vonaktivitaet character varying,
+--		CONSTRAINT aa_meilenstein_pk PRIMARY KEY (ogc_fid)
+--	);
+--	-- keine Geometrie
+--	-- daher ersatzweise: Dummy-Eintrag in Metatabelle
+--	INSERT INTO geometry_columns 
+--	       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+--	VALUES ('', 'public', 'aa_meilenstein', 'dummy', 2, 25832, 'POINT');
 
 
 -- aa_projektsteuerung
 -- ----------------------------------------------
-CREATE TABLE aa_projektsteuerung (
-	ogc_fid serial NOT NULL,
-	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	anlassdesprozesses integer,
-	enthaelt character varying,
-	art character(16),
-	CONSTRAINT aa_projektsteuerung_pk PRIMARY KEY (ogc_fid)
-);
--- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'aa_projektsteuerung', 'dummy', 2, 25832, 'POINT');
+--	CREATE TABLE aa_projektsteuerung (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		anlassdesprozesses integer,
+--		enthaelt character varying,
+--		art character(16),
+--		CONSTRAINT aa_projektsteuerung_pk PRIMARY KEY (ogc_fid)
+--	);
+--	-- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
+--	INSERT INTO geometry_columns 
+--	       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+--	VALUES ('', 'public', 'aa_projektsteuerung', 'dummy', 2, 25832, 'POINT');
 
 
 -- aa_vorgang
 -- ----------------------------------------------
-CREATE TABLE aa_vorgang (
-	ogc_fid serial NOT NULL,
-	gml_id character(16),
-	identifier character(28),
-	beginnt character(20),
-	advstandardmodell character(4),
-	bearbeitbardurch character varying,
-	enthaelt character varying,
-	status character varying,
-	art character(16),
-	CONSTRAINT aa_vorgang_pk PRIMARY KEY (ogc_fid)
-);
--- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'aa_vorgang', 'dummy', 2, 25832, 'POINT');
+--	CREATE TABLE aa_vorgang (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		bearbeitbardurch character varying,
+--		enthaelt character varying,
+--		status character varying,
+--		art character(16),
+--		CONSTRAINT aa_vorgang_pk PRIMARY KEY (ogc_fid)
+--	);
+--	-- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
+--	INSERT INTO geometry_columns 
+--	       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+--	VALUES ('', 'public', 'aa_vorgang', 'dummy', 2, 25832, 'POINT');
 
 
 -- ax_
 -- ----------------------------------------------
-CREATE TABLE ax_benutzer
-(
-  ogc_fid serial NOT NULL,
-  gml_id character(16),
-  identifier character(28),
-  beginnt character(20),
-  advstandardmodell character(4),
-  anlass integer,
-  profilkennung character(5),
-  direkt character(4),
-  ist character varying,
-  gehoertzu character varying,
-  CONSTRAINT ax_benutzer_pk PRIMARY KEY (ogc_fid)
-);
+--	CREATE TABLE ax_benutzer
+--	(
+--	  ogc_fid serial NOT NULL,
+--	  gml_id character(16),
+--	  identifier character(28),
+--	  beginnt character(20),
+--	  advstandardmodell character(4),
+--	  anlass integer,
+--	  profilkennung character(5),
+--	  direkt character(4),
+--	  ist character varying,
+--	  gehoertzu character varying,
+--	  CONSTRAINT ax_benutzer_pk PRIMARY KEY (ogc_fid)
+--	);
 
 
 -- ax_
 -- ----------------------------------------------
-CREATE TABLE ax_benutzergruppemitzugriffskontrolle (
-  ogc_fid serial NOT NULL,
-  gml_id character(16),
-  identifier character(28),
-  beginnt character(20),
-  advstandardmodell character(4),
-  anlass integer,
-  bezeichnung character(5),
-  land integer,
-  stelle integer,
-  bestehtaus character varying,
-  query character varying,
-  zugriffhistorie character(4),
-  CONSTRAINT ax_benutzergruppemitzugriffskontrolle_pk PRIMARY KEY (ogc_fid)
-);
+--	CREATE TABLE ax_benutzergruppemitzugriffskontrolle (
+--	  ogc_fid serial NOT NULL,
+--	  gml_id character(16),
+--	  identifier character(28),
+--	  beginnt character(20),
+--	  advstandardmodell character(4),
+--	  anlass integer,
+--	  bezeichnung character(5),
+--	  land integer,
+--	  stelle integer,
+--	  bestehtaus character varying,
+--	  query character varying,
+--	  zugriffhistorie character(4),
+--	  CONSTRAINT ax_benutzergruppemitzugriffskontrolle_pk PRIMARY KEY (ogc_fid)
+--	);
 
 
 -- ax_
 -- ----------------------------------------------
-CREATE TABLE ax_benutzergruppenba (
-  ogc_fid serial NOT NULL,
-  gml_id character(16),
-  identifier character(28),
-  beginnt character(20),
-  advstandardmodell character(4),
-  bezeichnung character(14),
-  land integer,
-  stelle integer,
-  koordinatenreferenzsystem character varying,
-  bestehtaus character varying,
-  query character varying,
-  art integer,
-  ersterstichtag character(10),
-  intervall character(14),
-  CONSTRAINT ax_benutzergruppenba_pk PRIMARY KEY (ogc_fid)
-);
-
+--	CREATE TABLE ax_benutzergruppenba (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		bezeichnung character(14),
+--		land integer,
+--		stelle integer,
+--		koordinatenreferenzsystem character varying,
+--		bestehtaus character varying,
+--		query character varying,
+--		art integer,
+--		ersterstichtag character(10),
+--		intervall character(14),
+--		CONSTRAINT ax_benutzergruppenba_pk PRIMARY KEY (ogc_fid)
+--	);
 
 
 -- ax_
 -- ----------------------------------------------
-CREATE TABLE ax_punktkennunguntergegangen (
-  ogc_fid serial NOT NULL,
-  gml_id character(16),
-  identifier character(28),
-  beginnt character(20),
-  advstandardmodell character(4),
-  anlass integer,
-  punktkennung double precision,
-  art integer,
-  CONSTRAINT ax_punktkennunguntergegangen_pk PRIMARY KEY (ogc_fid)
-);
+-- CREATE TABLE ax_punktkennunguntergegangen (
+--	ogc_fid serial NOT NULL,
+--	gml_id character(16),
+--	identifier character(28),
+--	beginnt character(20),
+--	advstandardmodell character(4),
+--	anlass integer,
+--	punktkennung double precision,
+--	art integer,
+--	CONSTRAINT ax_punktkennunguntergegangen_pk PRIMARY KEY (ogc_fid)
+-- );
 
 
 -- ax_
 -- ----------------------------------------------
-CREATE TABLE ax_reservierung (
-  ogc_fid serial NOT NULL,
-  gml_id character(16),
-  identifier character(28),
-  beginnt character(20),
-  advstandardmodell character(4),
-  art integer,
-  nummer character(20),
-  land integer,
-  stelle integer,
-  ablaufderreservierung character(10),
-  antragsnummer character(18),
-  auftragsnummer character(18),
-  "gebietskennung|ax_reservierungsauftrag_gebietskennung|gemarkung" integer,
-  gemarkungsnummer integer,
-  "gebietskennung|ax_reservierungsauftrag_gebietskennung|flur|ax_g" integer,
-  gemarkung integer,
-  gemarkungsteilflur integer,
-  nummerierungsbezirk integer,
-  CONSTRAINT ax_reservierung_pk PRIMARY KEY (ogc_fid)
-);
+--	CREATE TABLE ax_reservierung (
+--		ogc_fid serial NOT NULL,
+--		gml_id character(16),
+--		identifier character(28),
+--		beginnt character(20),
+--		advstandardmodell character(4),
+--		art integer,
+--		nummer character(20),
+--		land integer,
+--		stelle integer,
+--		ablaufderreservierung character(10),
+--		antragsnummer character(18),
+--		auftragsnummer character(18),
+--		"gebietskennung|ax_reservierungsauftrag_gebietskennung|gemarkung" integer,
+-		gemarkungsnummer integer,
+--		"gebietskennung|ax_reservierungsauftrag_gebietskennung|flur|ax_g" integer,
+--		gemarkung integer,
+--		gemarkungsteilflur integer,
+--		nummerierungsbezirk integer,
+--		CONSTRAINT ax_reservierung_pk PRIMARY KEY (ogc_fid)
+--	);
 
 
@@ -674,6 +677,5 @@
 -- Historisches FlurstÃŒck (ALKIS)
 -- ------------------------------
--- neu 02.2011
--- Die "neue" Historie, die durch FortfÃŒhrungen innehal ALKIS entstanden ist.
+-- Die "neue" Historie, die durch FortfÃŒhrungen innerhalb von ALKIS entstanden ist.
 CREATE TABLE ax_historischesflurstueck (
 	ogc_fid					serial NOT NULL,
@@ -683,6 +685,6 @@
 	advstandardmodell			character(8),
 	anlass					integer,
-	art					character varying(40), -- character varying[],
-	"name"					character varying(13), -- character varying[],
+	art					character varying[], -- Array?, (60) ist zu kurz!
+	"name"					character varying[], -- Array?, (24) ist zu kurz!
 	land					integer,
 	gemarkungsnummer			integer,
@@ -705,5 +707,5 @@
 	"buchung|ax_buchung_historischesflurstueck|buchungsblattbezirk|a"	integer,
 	bezirk					integer,
-	buchungsblattnummermitbuchstabenerweiterung	character(7), --integer,
+	buchungsblattnummermitbuchstabenerweiterung	character(20), --integer, -- hier lÃ€nger als (7)!
 	laufendenummerderbuchungsstelle		integer,
 	CONSTRAINT ax_historischesflurstueck_pk PRIMARY KEY (ogc_fid)
@@ -1082,5 +1084,5 @@
 	advstandardmodell	character varying(9),
 	anlass			integer,
-	artderflurstuecksgrenze	integer[],
+	artderflurstuecksgrenze	integer,
 	CONSTRAINT ax_besondereflurstuecksgrenze_pk PRIMARY KEY (ogc_fid)
 );
@@ -1195,5 +1197,5 @@
 	kreis			integer,
 	gemeinde		integer,
-	lage			character varying(5), --AE 2011-05-11 siehe http://trac.osgeo.org/gdal/changeset/22336 -- integer,  -- Strassenschluessel
+	lage			integer,  -- Strassenschluessel
 	-- Hier immer numerisch (StraÃenschlÃŒssel), also integer.
 	-- FremdschlÃŒssel 'ax_lagebezeichnungkatalogeintrag' kann aber auch nicht numerische Zeichen
@@ -1235,5 +1237,5 @@
 	kreis			integer,
 	gemeinde		integer,
-	lage			character varying(5),  -- Ãnderung zu Ticket 9 AE 2011-05-11--integer,
+	lage			integer,
 	pseudonummer		character varying(5),
 	laufendenummer		character varying(2), -- leer, Zahl, "P2"
@@ -1474,5 +1476,39 @@
 --   ===================================================================
 
---AX_HistorischesFlurstueckOhneRaumbezug
+-- AX_HistorischesFlurstueckOhneRaumbezug
+-- Neu 05.2011
+CREATE TABLE ax_historischesflurstueckohneraumbezug (
+	ogc_fid					serial NOT NULL,
+	gml_id					character(16),
+	identifier				character(28),  -- verzichtbar?
+	beginnt					character(20),
+	advstandardmodell			character(4),
+	anlass					integer,
+	art					character varying[], -- Array {a,b,c}
+	"name"					character varying[], -- Array {a,b,c}
+	land					integer,
+	gemarkungsnummer			integer,
+	zaehler					integer,
+	flurstueckskennzeichen			character(20),
+	amtlicheflaeche				integer,
+	flurnummer				integer,
+	abweichenderrechtszustand		character(5), -- boolean? Inhalt 'false'
+	rechtsbehelfsverfahren			character(5), -- boolean? Inhalt 'false'
+	zeitpunktderentstehung			character(10),
+	nachfolgerflurstueckskennzeichen	character varying[], -- Array {a,b,c}
+	vorgaengerflurstueckskennzeichen	character varying[], -- Array {a,b,c}
+	istgebucht				character varying,
+	nenner					integer,
+	CONSTRAINT ax_historischesflurstueckohneraumbezug_pk PRIMARY KEY (ogc_fid)
+);
+
+COMMENT ON TABLE  ax_historischesflurstueckohneraumbezug        IS 'historisches Flurstueck ohne Raumbezug';
+COMMENT ON COLUMN ax_historischesflurstueckohneraumbezug.gml_id IS 'Identifikator, global eindeutig';
+
+-- keine Geometrie, daher ersatzweise: Dummy-Eintrag in Metatabelle
+INSERT INTO geometry_columns 
+       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+VALUES ('', 'public', 'ax_historischesflurstueckohneraumbezug', 'dummy', 2, 25832, 'POINT');
+
 
 --*** ############################################################