Index: trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_schema.sql	(revision 110)
+++ trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_schema.sql	(revision 111)
@@ -28,21 +28,16 @@
 
 --  2011-02-02 Neue Tabellen:
---             "ax_historischesflurstueck", "ax_baublock", "ax_besondererhoehenpunkt",
---             "ax_einrichtunginoeffentlichenbereichen", "ax_flugverkehrsanlage", "ax_gebaeudeausgestaltung",
---             "ax_gelaendekante", "ax_heilquellegasquelle"
-
+--               "ax_historischesflurstueck", "ax_baublock", "ax_besondererhoehenpunkt",
+--               "ax_einrichtunginoeffentlichenbereichen", "ax_flugverkehrsanlage", "ax_gebaeudeausgestaltung",
+--               "ax_gelaendekante", "ax_heilquellegasquelle"
 --             ".. DROP CONSTRAINT enforce_geotype_wkb_geometry" fuer mehrere 
---             Tabellen mit mit "gemischter" Geometrie (aus Konvertierung NW18).
-
---             Neue Gruppe von Tabellen mit Prefix "aa_"
---             (Moeglicherweise nicht benoetigt)
-
+--               Tabellen mit mit "gemischter" Geometrie (aus Konvertierung NW18).
 --             Umsortierung: statt alphabetische Reihenfolge nun Sortierung nach *Objektartengruppen* laut GeoInfoDok
---             z.B.:
---             - Objektartengruppe: AAA_Praesentationsobjekte
---             - Objektartengruppe: Bauwerke und Einrichtungen in SiedlungsflÃ€chen
---             - Objektartengruppe: Bauwerke, Anlagen und Einrichtungen fÃŒr den Verkehr
---             - Objektartengruppe: Angaben zum FlurstÃŒck
---             - Objektartengruppe: Angaben zur Lage
+--              z.B.:
+--               - Objektartengruppe: AAA_Praesentationsobjekte
+--               - Objektartengruppe: Bauwerke und Einrichtungen in SiedlungsflÃ€chen
+--               - Objektartengruppe: Bauwerke, Anlagen und Einrichtungen fÃŒr den Verkehr
+--               - Objektartengruppe: Angaben zum FlurstÃŒck
+--               - Objektartengruppe: Angaben zur Lage
 
 --  2011-02-07 "gml_id" in fast allen Tabellen als UNIQUE INDEX
@@ -56,8 +51,29 @@
 --             geÃ€ndert siehe https://trac.wheregroup.com/PostNAS/ticket/9  
 --                            http://trac.osgeo.org/gdal/changeset/22336
---  2011-05-30  AE: constraints enforce_geotype_wkb_geometry fÃŒr ax_klassifizierungnachwasserrecht, ax_klassifizierungnachstrassenrecht um MULTIPOLYGON erweitert
--- 2011-07-19 neue Funktion deleteFeature(typename text, featureid text), wird nach Import des Layers delete aufgerufen
--- 2011-08-04 Indizierung der gml_id (fuer NBA Verfahren)
--- 2011-08-04  Tabelle delete zhinzugefÃŒgt mit Dummy Geometrie fÃŒr Tabelle delete
+--
+--  2011-05-30 AE: constraints enforce_geotype_wkb_geometry fÃŒr ax_klassifizierungnachwasserrecht, 
+--             ax_klassifizierungnachstrassenrecht um MULTIPOLYGON erweitert
+--
+--  2011-07-19 AE: Neue Funktion deleteFeature(typename text, featureid text), 
+--             wird nach Import des Layers delete aufgerufen
+--
+--  2011-08-04 AE: Indizierung der gml_id (fuer NBA Verfahren)
+--
+--  2011-08-04 AE: Tabelle delete hinzugefÃŒgt mit Dummy Geometrie fÃŒr Tabelle delete
+
+--  2011-09-18 AE: ax_besondereflurstuecksgrenze.ArtDerFlurstuecksgrenze als Array integer[]
+
+--  2011-09-19 FJ: Indizierung (im Block am Dateiende) wieder entfernt.
+--               Ein Index auf "gml_id" ist bereits in jeder Tabellendefinition enthalten.
+--             Die "constraint enforce_geotype_wkb_geometry" fÃŒr folgende Tabellen 
+--               um MULTIPOLYGON erweitert statt wie bisher die constraint ganz zu lÃ¶schen:
+--             - ax_denkmalschutzrecht
+--             - ax_musterlandesmusterundvergleichsstueck
+--             - ax_gebaeude
+--             - ax_historischesflurstueck
+--             - ax_naturumweltoderbodenschutzrecht
+--             - ax_schutzzone
+--             - ax_vorratsbehaelterspeicherbauwerk
+
 
 --  VERSIONS-NUMMER:
@@ -65,5 +81,5 @@
 --  Dies Schema kann nicht mehr mit der installierbaren gdal-Version 1.8 verwendet werden.
 --  Derzeit muss ogr2ogr (gdal) aus den Quellen compiliert werden, die o.g. Patch enthalten.
---  WeiterfÃŒhrung dieses Zweiges als PostNAS 0.6 ?
+--  WeiterfÃŒhrung dieses Zweiges als PostNAS 0.6
 
 
@@ -118,5 +134,5 @@
 
 
--- COMMENT ON DATABASE *** IS 'ALKIS - PostNAS 0.5';
+-- COMMENT ON DATABASE *** IS 'ALKIS - PostNAS 0.6';
 
 -- ===========================================================
@@ -526,6 +542,12 @@
 SELECT AddGeometryColumn('ax_denkmalschutzrecht','wkb_geometry','25832','POLYGON',2);
 
--- auch MULTIPOLYGON
-ALTER TABLE ax_denkmalschutzrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_denkmalschutzrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_denkmalschutzrecht
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_denkmalschutzrecht_geom_idx  ON ax_denkmalschutzrecht  USING gist  (wkb_geometry);
@@ -729,6 +751,12 @@
 SELECT AddGeometryColumn('ax_historischesflurstueck','wkb_geometry','25832','POLYGON',2);
 
--- POLYGON oder MULTIPOLYGON
-ALTER TABLE ax_historischesflurstueck DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_historischesflurstueck 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_historischesflurstueck
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_historischesflurstueck_geom_idx ON ax_historischesflurstueck USING gist (wkb_geometry);
@@ -756,6 +784,12 @@
 SELECT AddGeometryColumn('ax_naturumweltoderbodenschutzrecht','wkb_geometry','25832','POLYGON',2);
 
--- auch MULTIPOLYGON
-ALTER TABLE ax_naturumweltoderbodenschutzrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_naturumweltoderbodenschutzrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_naturumweltoderbodenschutzrecht
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_naturumweltoderbodenschutzrecht_geom_idx
@@ -812,6 +846,12 @@
 SELECT AddGeometryColumn('ax_schutzzone','wkb_geometry','25832','POLYGON',2);
 
--- auch MULTIPOLYGON
-ALTER TABLE ax_schutzzone DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_schutzzone 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_schutzzone
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_schutzzone_geom_idx ON ax_schutzzone USING gist (wkb_geometry);
@@ -1099,5 +1139,5 @@
 	advstandardmodell	character varying(9),
 	anlass			integer,
-	artderflurstuecksgrenze	integer[],
+	artderflurstuecksgrenze	integer[],  -- geaendert. 18.09.2011
 	CONSTRAINT ax_besondereflurstuecksgrenze_pk PRIMARY KEY (ogc_fid)
 );
@@ -1769,6 +1809,12 @@
 SELECT AddGeometryColumn('ax_gebaeude','wkb_geometry','25832','MULTIPOLYGON',2);
 
--- POLYGON und MULTIPOLYGON
-ALTER TABLE ax_gebaeude DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_gebaeude 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_gebaeude
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_gebaeude_geom_idx ON ax_gebaeude USING gist (wkb_geometry);
@@ -2848,4 +2894,13 @@
 
 SELECT AddGeometryColumn('ax_vorratsbehaelterspeicherbauwerk','wkb_geometry','25832','POLYGON',2);
+
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_vorratsbehaelterspeicherbauwerk 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_vorratsbehaelterspeicherbauwerk
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_vorratsbehaelterspeicherbauwerk_geom_idx 
@@ -3619,8 +3674,12 @@
 SELECT AddGeometryColumn('ax_klassifizierungnachstrassenrecht','wkb_geometry','25832','POLYGON',2);
 
-ALTER TABLE ax_klassifizierungnachstrassenrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_klassifizierungnachstrassenrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
 
 ALTER TABLE ax_klassifizierungnachstrassenrecht
-  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text OR wkb_geometry IS NULL);
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 
@@ -3650,9 +3709,12 @@
 SELECT AddGeometryColumn('ax_klassifizierungnachwasserrecht','wkb_geometry','25832','POLYGON',2);
 
-ALTER TABLE ax_klassifizierungnachwasserrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_klassifizierungnachwasserrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
 
 ALTER TABLE ax_klassifizierungnachwasserrecht
-  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text OR wkb_geometry IS NULL);
-
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_klassifizierungnachwasserrecht_geom_idx
@@ -3686,5 +3748,6 @@
 
 -- verschiedene Goemetrie-Typen
-ALTER TABLE ax_bauraumoderbodenordnungsrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+ALTER TABLE ax_bauraumoderbodenordnungsrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
 
 CREATE INDEX ax_bauraumoderbodenordnungsrecht_geom_idx
@@ -3724,5 +3787,6 @@
 SELECT AddGeometryColumn('ax_sonstigesrecht','wkb_geometry','25832','POLYGON',2);
 
-ALTER TABLE ax_sonstigesrecht DROP CONSTRAINT enforce_geotype_wkb_geometry;
+ALTER TABLE ax_sonstigesrecht 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
 
 CREATE INDEX ax_sonstigesrecht_geom_idx
@@ -3762,8 +3826,14 @@
 );
 
-SELECT AddGeometryColumn('ax_bodenschaetzung','wkb_geometry','25832','MULTIPOLYGON',2);
-
--- POLYGON und MULTIPOLYGON
-ALTER TABLE ONLY ax_bodenschaetzung DROP CONSTRAINT enforce_geotype_wkb_geometry;
+SELECT AddGeometryColumn('ax_bodenschaetzung','wkb_geometry','25832','POLYGON',2);
+
+-- auf MULTIPOLYGON erweitern
+ALTER TABLE ax_bodenschaetzung 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_bodenschaetzung
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_bodenschaetzung_geom_idx
@@ -3802,6 +3872,13 @@
 SELECT AddGeometryColumn('ax_musterlandesmusterundvergleichsstueck','wkb_geometry','25832','POLYGON',2);
 
--- POLYGON  und POINT
-ALTER TABLE ax_musterlandesmusterundvergleichsstueck DROP CONSTRAINT enforce_geotype_wkb_geometry;
+-- auf MULTIPOLYGON erweitern
+-- es kommt auch POINT vor !?
+ALTER TABLE ax_musterlandesmusterundvergleichsstueck 
+  DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ax_musterlandesmusterundvergleichsstueck
+  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
+                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
+                                                  OR wkb_geometry IS NULL);
 
 CREATE INDEX ax_musterlandesmusterundvergleichsstueck_geom_idx
@@ -4327,125 +4404,8 @@
 $$ LANGUAGE plpgsql; 
 
---
+
 -- Indizierung
---
-CREATE INDEX aa_aktivitaet_idx ON aa_aktivitaet(gml_id);
-CREATE INDEX aa_antrag_idx ON aa_antrag(gml_id);
-CREATE INDEX aa_antragsgebiet_idx ON aa_antragsgebiet(gml_id);
-CREATE INDEX aa_meilenstein_idx ON aa_meilenstein(gml_id);
-CREATE INDEX aa_projektsteuerung_idx ON aa_projektsteuerung(gml_id);
-CREATE INDEX aa_vorgang_idx ON aa_vorgang(gml_id);
-CREATE INDEX ap_darstellung_idx ON ap_darstellung(gml_id);
-CREATE INDEX ap_lpo_idx ON ap_lpo(gml_id);
-CREATE INDEX ap_lto_idx ON ap_lto(gml_id);
-CREATE INDEX ap_ppo_idx ON ap_ppo(gml_id);
-CREATE INDEX ap_pto_idx ON ap_pto(gml_id);
-CREATE INDEX ax_anderefestlegungnachwasserrecht_idx ON ax_anderefestlegungnachwasserrecht(gml_id);
-CREATE INDEX ax_anschrift_idx ON ax_anschrift(gml_id);
-CREATE INDEX ax_aufnahmepunkt_idx ON ax_aufnahmepunkt(gml_id);
-CREATE INDEX ax_bahnverkehr_idx ON ax_bahnverkehr(gml_id);
-CREATE INDEX ax_bahnverkehrsanlage_idx ON ax_bahnverkehrsanlage(gml_id);
-CREATE INDEX ax_baublock_idx ON ax_baublock(gml_id);
-CREATE INDEX ax_bauraumoderbodenordnungsrecht_idx ON ax_bauraumoderbodenordnungsrecht(gml_id);
-CREATE INDEX ax_bauteil_idx ON ax_bauteil(gml_id);
-CREATE INDEX ax_bauwerkimgewaesserbereich_idx ON ax_bauwerkimgewaesserbereich(gml_id);
-CREATE INDEX ax_bauwerkimverkehrsbereich_idx ON ax_bauwerkimverkehrsbereich(gml_id);
-CREATE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_idx ON ax_bauwerkoderanlagefuerindustrieundgewerbe(gml_id);
-CREATE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_idx ON ax_bauwerkoderanlagefuersportfreizeitunderholung(gml_id);
-CREATE INDEX ax_bergbaubetrieb_idx ON ax_bergbaubetrieb(gml_id);
-CREATE INDEX ax_besondereflurstuecksgrenze_idx ON ax_besondereflurstuecksgrenze(gml_id);
-CREATE INDEX ax_besonderegebaeudelinie_idx ON ax_besonderegebaeudelinie(gml_id);
-CREATE INDEX ax_besondererbauwerkspunkt_idx ON ax_besondererbauwerkspunkt(gml_id);
-CREATE INDEX ax_besonderergebaeudepunkt_idx ON ax_besonderergebaeudepunkt(gml_id);
-CREATE INDEX ax_besondererhoehenpunkt_idx ON ax_besondererhoehenpunkt(gml_id);
-CREATE INDEX ax_besonderertopographischerpunkt_idx ON ax_besonderertopographischerpunkt(gml_id);
-CREATE INDEX ax_bewertung_idx ON ax_bewertung(gml_id);
-CREATE INDEX ax_bodenschaetzung_idx ON ax_bodenschaetzung(gml_id);
-CREATE INDEX ax_boeschungkliff_idx ON ax_boeschungkliff(gml_id);
-CREATE INDEX ax_boeschungsflaeche_idx ON ax_boeschungsflaeche(gml_id);
-CREATE INDEX ax_buchungsblatt_idx ON ax_buchungsblatt(gml_id);
-CREATE INDEX ax_buchungsblattbezirk_idx ON ax_buchungsblattbezirk(gml_id);
-CREATE INDEX ax_buchungsstelle_idx ON ax_buchungsstelle(gml_id);
-CREATE INDEX ax_bundesland_idx ON ax_bundesland(gml_id);
-CREATE INDEX ax_dammwalldeich_idx ON ax_dammwalldeich(gml_id);
-CREATE INDEX ax_denkmalschutzrecht_idx ON ax_denkmalschutzrecht(gml_id);
-CREATE INDEX ax_dienststelle_idx ON ax_dienststelle(gml_id);
-CREATE INDEX ax_einrichtunginoeffentlichenbereichen_idx ON ax_einrichtunginoeffentlichenbereichen(gml_id);
-CREATE INDEX ax_felsenfelsblockfelsnadel_idx ON ax_felsenfelsblockfelsnadel(gml_id);
-CREATE INDEX ax_firstlinie_idx ON ax_firstlinie(gml_id);
-CREATE INDEX ax_flaechebesondererfunktionalerpraegung_idx ON ax_flaechebesondererfunktionalerpraegung(gml_id);
-CREATE INDEX ax_flaechegemischternutzung_idx ON ax_flaechegemischternutzung(gml_id);
-CREATE INDEX ax_fliessgewaesser_idx ON ax_fliessgewaesser(gml_id);
-CREATE INDEX ax_flugverkehr_idx ON ax_flugverkehr(gml_id);
-CREATE INDEX ax_flugverkehrsanlage_idx ON ax_flugverkehrsanlage(gml_id);
-CREATE INDEX ax_flurstueck_idx ON ax_flurstueck(gml_id);
-CREATE INDEX ax_friedhof_idx ON ax_friedhof(gml_id);
-CREATE INDEX ax_gebaeude_idx ON ax_gebaeude(gml_id);
-CREATE INDEX ax_gebaeudeausgestaltung_idx ON ax_gebaeudeausgestaltung(gml_id);
-CREATE INDEX ax_gehoelz_idx ON ax_gehoelz(gml_id);
-CREATE INDEX ax_gelaendekante_idx ON ax_gelaendekante(gml_id);
-CREATE INDEX ax_gemarkung_idx ON ax_gemarkung(gml_id);
-CREATE INDEX ax_gemarkungsteilflur_idx ON ax_gemarkungsteilflur(gml_id);
-CREATE INDEX ax_gemeinde_idx ON ax_gemeinde(gml_id);
-CREATE INDEX ax_georeferenziertegebaeudeadresse_idx ON ax_georeferenziertegebaeudeadresse(gml_id);
-CREATE INDEX ax_gewaessermerkmal_idx ON ax_gewaessermerkmal(gml_id);
-CREATE INDEX ax_gleis_idx ON ax_gleis(gml_id);
-CREATE INDEX ax_grablochderbodenschaetzung_idx ON ax_grablochderbodenschaetzung(gml_id);
-CREATE INDEX ax_grenzpunkt_idx ON ax_grenzpunkt(gml_id);
-CREATE INDEX ax_hafenbecken_idx ON ax_hafenbecken(gml_id);
-CREATE INDEX ax_halde_idx ON ax_halde(gml_id);
-CREATE INDEX ax_heide_idx ON ax_heide(gml_id);
-CREATE INDEX ax_heilquellegasquelle_idx ON ax_heilquellegasquelle(gml_id);
-CREATE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_idx ON ax_historischesbauwerkoderhistorischeeinrichtung(gml_id);
-CREATE INDEX ax_historischesflurstueck_idx ON ax_historischesflurstueck(gml_id);
-CREATE INDEX ax_historischesflurstueckalb_idx ON ax_historischesflurstueckalb(gml_id);
-CREATE INDEX ax_industrieundgewerbeflaeche_idx ON ax_industrieundgewerbeflaeche(gml_id);
-CREATE INDEX ax_klassifizierungnachstrassenrecht_idx ON ax_klassifizierungnachstrassenrecht(gml_id);
-CREATE INDEX ax_klassifizierungnachwasserrecht_idx ON ax_klassifizierungnachwasserrecht(gml_id);
-CREATE INDEX ax_kleinraeumigerlandschaftsteil_idx ON ax_kleinraeumigerlandschaftsteil(gml_id);
-CREATE INDEX ax_kommunalesgebiet_idx ON ax_kommunalesgebiet(gml_id);
-CREATE INDEX ax_kreisregion_idx ON ax_kreisregion(gml_id);
-CREATE INDEX ax_lagebezeichnungkatalogeintrag_idx ON ax_lagebezeichnungkatalogeintrag(gml_id);
-CREATE INDEX ax_lagebezeichnungmithausnummer_idx ON ax_lagebezeichnungmithausnummer(gml_id);
-CREATE INDEX ax_lagebezeichnungmitpseudonummer_idx ON ax_lagebezeichnungmitpseudonummer(gml_id);
-CREATE INDEX ax_lagebezeichnungohnehausnummer_idx ON ax_lagebezeichnungohnehausnummer(gml_id);
-CREATE INDEX ax_landwirtschaft_idx ON ax_landwirtschaft(gml_id);
-CREATE INDEX ax_leitung_idx ON ax_leitung(gml_id);
-CREATE INDEX ax_meer_idx ON ax_meer(gml_id);
-CREATE INDEX ax_moor_idx ON ax_moor(gml_id);
-CREATE INDEX ax_musterlandesmusterundvergleichsstueck_idx ON ax_musterlandesmusterundvergleichsstueck(gml_id);
-CREATE INDEX ax_namensnummer_idx ON ax_namensnummer(gml_id);
-CREATE INDEX ax_naturumweltoderbodenschutzrecht_idx ON ax_naturumweltoderbodenschutzrecht(gml_id);
-CREATE INDEX ax_person_idx ON ax_person(gml_id);
-CREATE INDEX ax_platz_idx ON ax_platz(gml_id);
-CREATE INDEX ax_punktortag_idx ON ax_punktortag(gml_id);
-CREATE INDEX ax_punktortau_idx ON ax_punktortau(gml_id);
-CREATE INDEX ax_punktortta_idx ON ax_punktortta(gml_id);
-CREATE INDEX ax_regierungsbezirk_idx ON ax_regierungsbezirk(gml_id);
-CREATE INDEX ax_schiffsverkehr_idx ON ax_schiffsverkehr(gml_id);
-CREATE INDEX ax_schutzgebietnachwasserrecht_idx ON ax_schutzgebietnachwasserrecht(gml_id);
-CREATE INDEX ax_schutzzone_idx ON ax_schutzzone(gml_id);
-CREATE INDEX ax_sonstigervermessungspunkt_idx ON ax_sonstigervermessungspunkt(gml_id);
-CREATE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_idx ON ax_sonstigesbauwerkodersonstigeeinrichtung(gml_id);
-CREATE INDEX ax_sonstigesrecht_idx ON ax_sonstigesrecht(gml_id);
-CREATE INDEX ax_sportfreizeitunderholungsflaeche_idx ON ax_sportfreizeitunderholungsflaeche(gml_id);
-CREATE INDEX ax_stehendesgewaesser_idx ON ax_stehendesgewaesser(gml_id);
-CREATE INDEX ax_strassenverkehr_idx ON ax_strassenverkehr(gml_id);
-CREATE INDEX ax_strassenverkehrsanlage_idx ON ax_strassenverkehrsanlage(gml_id);
-CREATE INDEX ax_sumpf_idx ON ax_sumpf(gml_id);
-CREATE INDEX ax_tagebaugrubesteinbruch_idx ON ax_tagebaugrubesteinbruch(gml_id);
-CREATE INDEX ax_topographischelinie_idx ON ax_topographischelinie(gml_id);
-CREATE INDEX ax_transportanlage_idx ON ax_transportanlage(gml_id);
-CREATE INDEX ax_turm_idx ON ax_turm(gml_id);
-CREATE INDEX ax_unlandvegetationsloseflaeche_idx ON ax_unlandvegetationsloseflaeche(gml_id);
-CREATE INDEX ax_untergeordnetesgewaesser_idx ON ax_untergeordnetesgewaesser(gml_id);
-CREATE INDEX ax_vegetationsmerkmal_idx ON ax_vegetationsmerkmal(gml_id);
-CREATE INDEX ax_vorratsbehaelterspeicherbauwerk_idx ON ax_vorratsbehaelterspeicherbauwerk(gml_id);
-CREATE INDEX ax_wald_idx ON ax_wald(gml_id);
-CREATE INDEX ax_weg_idx ON ax_weg(gml_id);
-CREATE INDEX ax_wegpfadsteig_idx ON ax_wegpfadsteig(gml_id);
-CREATE INDEX ax_wohnbauflaeche_idx ON ax_wohnbauflaeche(gml_id);
-CREATE INDEX ax_wohnplatz_idx ON ax_wohnplatz(gml_id);
-CREATE INDEX ks_sonstigesbauwerk_idx ON ks_sonstigesbauwerk(gml_id);
+-- F.J.: Den Abschnitt entfernt am 19.09.2011
+-- Die Tabellen sind bereits mit einem UNIQUE INDEX auf "gml_id" versehen:
 
 --
Index: trunk/data/mapproxy/seed/alkisrlp.yaml
===================================================================
--- trunk/data/mapproxy/seed/alkisrlp.yaml	(revision 111)
+++ trunk/data/mapproxy/seed/alkisrlp.yaml	(revision 111)
@@ -0,0 +1,78 @@
+# MapProxy-Seeds und -Cleanups fuer ALKIS Mustermonzel
+# TESTBESTAND
+
+# Stand
+#  2011-09-19
+
+# alkis_grid:     
+# 0=10.000  1=5.000  2=2.500  3=1.750  4=1.000  5=750  6=500  7=250
+
+# alkis_nua_grid:
+# 0=10.000  1=5.000  2=2.500  3=1.000  4=500  5=250
+
+seeds:
+
+  # RLP Demo Mustermonzel
+  alkisrlp:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    coverages: [alkis_rlp_demo]
+    levels:
+      from: 0
+      to: 6
+    refresh_before:
+      days: 2
+
+  alkisrlp_nutzg:
+    caches: [alkisrlp_nutzg_c]
+    grids: [alkis_rlp_nua_grid]
+    coverages: [alkis_rlp_demo]
+    levels:
+      from: 0
+      to: 4
+    refresh_before:
+      days: 2
+
+cleanups:
+
+  # grosse Masstaebe 1:1.750-1:250 aufraeumen
+  alkisrlp_g:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 3
+      to: 7
+
+  # kleine Masstaebe 1:10.000-2.500 aufraeumen
+  alkisrlp_k:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 0
+      to: 2
+
+  # Nutzung aufraeumen
+  alkisrlp_n:
+    caches: [alkisrlp_nutzg_c]
+    grids: [alkis_rlp_nua_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 0
+      to: 5
+
+
+coverages:
+
+  alkis_rlp_demo:
+    #box: "349000,5527000,356000,5536000" # = grid
+    # Ausschnitt eng um das Testgebiet:
+    bbox: "349550,5529460,355140,5532210"
+    bbox_srs: "EPSG:25832"
Index: trunk/data/mapproxy/script/seed_alkisrlp.sh
===================================================================
--- trunk/data/mapproxy/script/seed_alkisrlp.sh	(revision 111)
+++ trunk/data/mapproxy/script/seed_alkisrlp.sh	(revision 111)
@@ -0,0 +1,18 @@
+#!/bin/bash
+# MapProxy-Kacheln auf Vorrat generieren
+# 2011-09-06
+# Doku: http://mapproxy.org/docs/1.1.1/seed.html
+# Ausfuehren mit "sudo su www-data"
+echo "MapProxy seeding ALKIS DEMO Mustermonzel"
+echo "** Bitte ausfuehren als User www-data"
+#
+  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
+                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
+                --concurrency 1  \
+                --seed  alkisrlp 
+#
+  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
+                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
+                --concurrency 1  \
+                --seed  alkisrlp_nutzg 
+#
Index: trunk/data/mapproxy/projects/alkisrlp.yaml
===================================================================
--- trunk/data/mapproxy/projects/alkisrlp.yaml	(revision 111)
+++ trunk/data/mapproxy/projects/alkisrlp.yaml	(revision 111)
@@ -0,0 +1,78 @@
+base: ../base.yaml
+
+# 2011-09-19 F.J.
+
+services:
+  demo:
+  #kml:
+  #tms:
+  wms:
+    #srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:31467', 'EPSG:54004']
+    srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:54004']
+    #attribution:
+    #  text: "Â© Geobasisdaten Liegenschaftskataster Kreis ...."
+    md:
+      title: "c: ALKIS"
+      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Beschleunigt ueber MapProxy
+      online_resource: http://mapproxy.org/
+      contact:
+        person: Frank Jaeger
+        position: GIS-Administrator
+        organization: Kommunales Rechenzentrum Minden-Ravensberg/Lippe 
+        address: Am Lindenhaus 21
+        city: Lemgo
+        postcode: 32657
+        country: Germany
+        phone: +49(0)5261-252-185
+        fax: +49(0)5261-932-185
+        email: f.jaeger@krz.de
+      access_constraints: 'Nur fuer den Dienstgebrauch'
+      fees: 'None'
+
+layers:
+  - name: alkis_nutzung
+    title: Nutzungsarten
+    sources: [alkisrlp_nutzg_c]
+  - name: alkis
+    title: ALKIS
+    sources: [alkisrlp_c]
+    
+caches:
+  alkisrlp_c:
+    grids: [alkis_rlp_grid]
+    #sources: ["alkis:ax_klassifizierungnachstrassenrecht,ax_naturumweltoderbodenschutzrecht,ax_anderefestlegungnachwasserrecht,ax_bauraumoderbodenordnungsrecht_umrandung,ax_denkmalschutzrecht,ax_sonstigesrecht,ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]
+    # ohne Gruppe 'recht'
+    sources: ["alkis:ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]
+
+  alkisrlp_nutzg_c:
+    grids: [alkis_rlp_nua_grid]
+    sources: ["alkis:ax_wohnbauflaeche,ax_industrieundgewerbeflaeche,ax_halde,ax_bergbaubetrieb,ax_tagebaugrubesteinbruch,ax_flaechegemischternutzung,ax_flaechebesondererfunktionalerpraegung,ax_sportfreizeitunderholungsflaeche,ax_friedhof,ax_strassenverkehr,ax_weg,ax_platz,ax_bahnverkehr,ax_flurverkehr,ax_schiffsverkehr,ax_landwirtschaft,ax_wald,ax_gehoelz,ax_heide,ax_moor,ax_sumpf,ax_unlandvegetationsloseflaeche,ax_vegetationsmerkmal,ax_fliessgewaesser,ax_hafenbecken,ax_stehendesgewaesser"]
+
+sources:
+  # fuer Karte
+  alkis:
+    type: wms
+    wms_opts:
+      legendgraphic: true
+    # rlp
+    coverage:
+      bbox: "349550,5529460,355140,5532210"
+      bbox_srs: "EPSG:25832"
+    req:
+      #url: http://wms.krz.de/cgi-bin/mapserv5?
+      #map: /data/wms/alkis/alkis05rlp.map
+      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
+      transparent: true
+      format: image/png
+  # fuer Feature-Info
+  alkis_fi:
+    type: wms
+    wms_opts:
+      featureinfo: true
+      map: false
+    req:
+      #url: http://wms.krz.de/cgi-bin/mapserv5?
+      #map: /data/wms/alkis/alkis05rlp.map
+      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
+  debug:
+    type: debug
Index: trunk/data/mapproxy/base.yaml
===================================================================
--- trunk/data/mapproxy/base.yaml	(revision 111)
+++ trunk/data/mapproxy/base.yaml	(revision 111)
@@ -0,0 +1,34 @@
+# Nur Teile der 'base.yaml', die fuer ALKIS (PostNAS) relevant sind
+
+# 2011-09-19  grid fuer RLP (ALKIS-Demo)
+
+grids:
+  alkis_rlp_grid:
+    srs: "EPSG:25832"
+    bbox: "349000,5529000,356000,5533000"
+    bbox_srs: "EPSG:25832"
+    num_levels: 8
+    res: [
+  3.5277777778,  # 0 10000
+  1.7638888889,  # 1  5000
+  0.8819444444,  # 2  2500
+  0.6173611111,  # 3  Mittel
+  0.3527777778,  # 4  1000
+  0.26458333335, # 5   750 = Pos. FS
+  0.1763888889,  # 6   500
+  0.0881944444   # 7   250
+]
+
+  alkis_rlp_nua_grid:
+    srs: "EPSG:25832"
+    bbox: "349000,5529000,356000,5533000"
+    bbox_srs: "EPSG:25832"
+    num_levels: 6
+    res: [
+  3.5277777778,  # 0 10000
+  1.7638888889,  # 1  5000
+  0.8819444444,  # 2  2500
+  0.3527777778,  # 3  1000
+  0.1763888889,  # 4   500
+  0.0881944444   # 5   250
+]